Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
comments
List file comments.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/comments
{
  "comments": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "relatedTo": {
        "path": "<string>",
        "lines": {
          "start": 123,
          "end": 123
        },
        "relevantContent": "<string>"
      },
      "content": "<string>",
      "reactions": [
        {
          "reaction": "<string>",
          "users": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>"
            }
          ]
        }
      ],
      "createdBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "isBot": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "pingsLeft": 123,
        "reputation": 123,
        "disabledAt": "2023-11-07T05:31:56Z",
        "deletedFromRepoAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "replies": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "content": "<string>",
          "reactions": [
            {
              "reaction": "<string>",
              "users": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "name": "<string>"
                }
              ]
            }
          ],
          "createdBy": {
            "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "username": "<string>",
            "avatar": "<string>",
            "isBot": true,
            "createdAt": "2023-11-07T05:31:56Z",
            "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "pingsLeft": 123,
            "reputation": 123,
            "disabledAt": "2023-11-07T05:31:56Z",
            "deletedFromRepoAt": "2023-11-07T05:31:56Z"
          },
          "createdAt": "2023-11-07T05:31:56Z",
          "lastUpdatedBy": {
            "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "username": "<string>",
            "avatar": "<string>",
            "isBot": true,
            "createdAt": "2023-11-07T05:31:56Z",
            "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "pingsLeft": 123,
            "reputation": 123,
            "disabledAt": "2023-11-07T05:31:56Z",
            "deletedFromRepoAt": "2023-11-07T05:31:56Z"
          },
          "lastUpdatedAt": "2023-11-07T05:31:56Z",
          "visibleTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "lastUpdatedBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "isBot": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "pingsLeft": 123,
        "reputation": 123,
        "disabledAt": "2023-11-07T05:31:56Z",
        "deletedFromRepoAt": "2023-11-07T05:31:56Z"
      },
      "lastUpdatedAt": "2023-11-07T05:31:56Z",
      "visibleTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "resolvedBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "isBot": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "pingsLeft": 123,
        "reputation": 123,
        "disabledAt": "2023-11-07T05:31:56Z",
        "deletedFromRepoAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "nextValue": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

repo_id
string<uuid>
required

Query Parameters

limit
integer | null

Maximum number of comments to return.

Defaults to 10 comments (not counting replies to that comment), limited to 100.

Required range: x >= 0
next
string | null

Pagination value.

When this route is first used it returns a next_value, when set as the next value it will return the next set of items, implementing pagination.

Notes

All the same filtering options MUST be used between requests, otherwise comments might be skipped and/or returned twice (in two different requests).

created_by
string<uuid>[] | null

Filter comments by user (id) that created them.

If a comment is created by any of the users in this list it will be included in the result, i.e. it's an OR not AND filtering.

Format is a comma separated list, e.g. 05c45af0-b99f-4fb6-8f48-6606b64f982e,c206ac84-9483-4320-a271-6a402d8f7bce.

q
string | null

Search the comment's content for the query.

If any comment in a comment thread matches the search query the entire comment thread is returned.

pinged
boolean | null

Limit the comment threads to include at least one comment where the user was pinged.

Defaults to not be limited to pings only.

resolved
boolean | null

Limit file comments to either include only resolved comments, ie: resolved=true or only unresolved comments, ie: resolved=false If this parameter is not provided, the default behavior includes all comments (resolved and unresolved)

Response

Comments

List of [RepositoryComment]`s.

comments
object[]
required

List of comments.

nextValue
string | null

Use this as next value in the next request to retrieve the next list of findings.

If this is empty it means no more comments are available.